## breeze 5.15.5.1%2Brb2

=== CMakeLists.txt ===
project(breeze)
set(PROJECT_VERSION "5.14.5")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

option(USE_KDE4 "Build a widget style for KDE4 (and nothing else)")

include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(FeatureSummary)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules")

if(USE_KDE4)
  find_package(KDE4 REQUIRED)
  include(KDE4Defaults)
  include(MacroLibrary)

  add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
  include_directories(${KDE4_INCLUDES})

  add_subdirectory(libbreezecommon)
  add_subdirectory(kstyle)
else()
  find_package(ECM 0.0.9 REQUIRED NO_MODULE)
  set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake)

  include(ECMInstallIcons)
  include(KDEInstallDirs)
  include(KDECMakeSettings)
  include(KDECompilerSettings NO_POLICY_SCOPE)
  include(GtkUpdateIconCache)

  option(WITH_DECORATIONS "Build Breeze window decorations for KWin" ON)
  if(WITH_DECORATIONS)
    find_package(KDecoration2 REQUIRED)
    add_subdirectory(kdecoration)
  endif()

  add_subdirectory(colors)
  add_subdirectory(cursors)
  add_subdirectory(libbreezecommon)
  add_subdirectory(kstyle)
  add_subdirectory(misc)
  add_subdirectory(qtquickcontrols)

  option(WITH_WALLPAPERS "Install Breeze default wallpapers" ON)
  if (WITH_WALLPAPERS)
    add_subdirectory(wallpapers)
  endif()

  find_package(KF5Package CONFIG REQUIRED)
  kpackage_install_package(lookandfeel.dark org.kde.breezedark.desktop look-and-feel plasma)
  if(EXISTS ${CMAKE_SOURCE_DIR}/po AND IS_DIRECTORY ${CMAKE_SOURCE_DIR}/po)
    find_package(KF5I18n CONFIG REQUIRED)
    ki18n_install(po)
  endif()

  include(ECMSetupVersion)
  ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX BREEZE
                    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfigVersion.cmake"
                    )

  # create a Config.cmake and a ConfigVersion.cmake file and install them
  set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/Breeze")

  ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/BreezeConfig.cmake.in"
                                    "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfig.cmake"
                                    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                                    )

  install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfig.cmake"
                 "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfigVersion.cmake"
          DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
          COMPONENT Devel
         )
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## breeze 5.15.5.1+rb2

=== debian/changelog ===
breeze (4:5.15.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 01 Feb 2021 15:01:58 +0800

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/build-qt4

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure --builddirectory=$(CURDIR)/build-qt4 -- -DUSE_KDE4=true

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=$(CURDIR)/build-qt4

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=$(CURDIR)/build-qt4
	mkdir -p $(CURDIR)/debian/kde-style-breeze-qt4/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins/styles/
	ln -s /usr/lib/kde4/plugins/styles/breeze.so $(CURDIR)/debian/kde-style-breeze-qt4/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins/styles/

override_dh_install:
	# This is required to make sure Plasma does not
	# fall back to a cursor theme from the 90's
	CURDIR=$(CURDIR) $(CURDIR)/debian/wrapperthemes.sh breeze_cursors \
	                                                   Breeze_Snow
	dh_install

override_dh_strip:
	dh_strip --dbgsym-migration='breeze-dbg (<= 4:5.5.5-1~~)'

## breeze 5.16.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze)
-set(PROJECT_VERSION "5.14.5")
+set(PROJECT_VERSION "5.16.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
@@ -9,8 +9,6 @@
 include(GenerateExportHeader)
 include(WriteBasicConfigVersionFile)
 include(FeatureSummary)
-
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules")
 
 if(USE_KDE4)
   find_package(KDE4 REQUIRED)
@@ -67,6 +65,7 @@
 
   ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/BreezeConfig.cmake.in"
                                     "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfig.cmake"
+                                    PATH_VARS KDE_INSTALL_FULL_DATADIR
                                     INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                                     )

=== debian/changelog ===
breeze (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:23:02 +0100

breeze (4:5.16.4-0ubuntu2) eoan; urgency=medium

  * Sync Debian changes:
    - Drop QT4/KDE4 support.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 26 Aug 2019 13:34:45 +0100

breeze (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:43:50 +0100

breeze (4:5.16.3-0ubuntu2) eoan; urgency=medium

  * Remove kde-style-qtcurve from recommends, and kde-style-breeze-qt4
    from suggests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 18 Jul 2019 19:37:48 +0100

breeze (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:21:11 +0100

breeze (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:22:03 +0100

breeze (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:22:14 +0100

breeze (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:34:51 +0100

breeze (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:47:56 +0100

breeze (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:46:53 +0100

=== debian/control ===
Source: breeze
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.58.0~),
               libfftw3-dev,
               libkdecorations2-dev (>= 4:5.16.5~),
               libkf5config-dev (>= 5.58.0~),
               libkf5configwidgets-dev (>= 5.58.0~),
               libkf5coreaddons-dev (>= 5.58.0~),
               libkf5guiaddons-dev (>= 5.58.0~),
               libkf5i18n-dev (>= 5.58.0~),
               libkf5iconthemes-dev (>= 5.58.0~),
               libkf5kcmutils-dev (>= 5.58.0~),
               libkf5package-dev (>= 5.58.0~),
               libkf5plasma-dev (>= 5.58.0~),
               libkf5service-dev (>= 5.58.0~),
               libkf5style-dev (>= 5.58.0~),
               libkf5wayland-dev (>= 4:5.58.0~),
               libkf5windowsystem-dev (>= 5.58.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/breeze
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze

Package: breeze
Architecture: any
Depends: breeze-cursor-theme (= ${source:Version}),
         breeze-icon-theme,
         kde-style-breeze (= ${binary:Version}),
         kwin-style-breeze (= ${binary:Version}),
         qml-module-qtquick-controls-styles-breeze (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: orion-gtk-theme
Breaks: kde-style-breeze (<< 4:5.2.2+git20150325),
        plasma-look-and-feel-org-kde-breezedark-desktop (<< 4:5.13.0~)
Replaces: kde-style-breeze (<< 4:5.2.2+git20150325),
          plasma-look-and-feel-org-kde-breezedark-desktop (<< 4:5.13.0~)
Description: Default Plasma theme (meta-package).
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes wallpapers, icons, cursors, KWin style and Qt
 widget style for the Plasma 5 desktop.
 .
 This package is part of the KDE base workspace module.

Package: breeze-cursor-theme
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Default Plasma cursor theme.
 This is the default cursor theme for the KDE Plasma 5 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze-dev
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Default Plasma theme (development files).
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes development files.
 .
 This package is part of the KDE base workspace module.

Package: kde-style-breeze
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libbreezecommon5-5 (<< 4:5.14.3-1~)
Replaces: libbreezecommon5-5 (<< 4:5.14.3-1~)
Description: Widget style for Qt and KDE Software
 This is the default widget style for KDE's Plasma desktop.
 .
 This package is part of the Breeze theme module.

Package: kwin-style-breeze
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KWin Breeze Style
 This is the Breeze window manager style for the KDE Plasma 5 desktop.
 .
 This package is part of the Breeze theme module.

Package: plasma-look-and-feel-org-kde-breezedark-desktop
Architecture: all
Priority: optional
Depends: breeze, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
 .
 This package is part of the Breeze theme module.

Package: qml-module-qtquick-controls-styles-breeze
Architecture: any
Depends: qml-module-qtquick-controls, ${misc:Depends}, ${shlibs:Depends}
Breaks: breeze (<< 4:5.0.95)
Replaces: breeze (<< 4:5.0.95)
Description: QtQuick style for Qt and KDE Software
 This is the default QtQuick Controls style for KDE's Plasma desktop.
 .
 This package is part of the Breeze theme module.

## breeze 5.18.3

=== debian/changelog ===
breeze (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:06:36 +0000

breeze (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:28:51 +0000

breeze (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:35:40 +0000

breeze (4:5.18.0a-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)
  * Bump orig tar version due to upstream respin.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:43:02 +0000

breeze (4:5.17.90-0ubuntu2) focal; urgency=medium

  * Remove unused libfftw3-dev, libkf5iconthemes-dev, libkf5plasma-dev, and
      libkf5service-dev build depends.
  * Drop obsolete breaks/replaces.
  * Drop obsolete transitional packages.

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Jan 2020 08:28:19 +0000

breeze (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:06:52 +0000

breeze (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:43:29 +0000

breeze (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:22:46 +0000

breeze (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:03:38 +0000

breeze (4:5.17.2-0ubuntu1) focal; urgency=medium

  * Make qml-module-qtquick-controls-styles-breeze a transitional dummy
    package, as the now unused qtquickcontrols theme has been removed.
  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:48:51 +0000

=== debian/control ===
Source: breeze
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               libkdecorations2-dev (>= 4:5.18.3~),
               libkf5config-dev (>= 5.66.0~),
               libkf5configwidgets-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5guiaddons-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5kcmutils-dev (>= 5.66.0~),
               libkf5package-dev (>= 5.66.0~),
               libkf5style-dev (>= 5.66.0~),
               libkf5wayland-dev (>= 4:5.66.0~),
               libkf5windowsystem-dev (>= 5.66.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/breeze
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze

Package: breeze
Architecture: any
Depends: breeze-cursor-theme (= ${source:Version}),
         breeze-icon-theme,
         kde-style-breeze (= ${binary:Version}),
         kwin-style-breeze (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: orion-gtk-theme
Breaks: plasma-look-and-feel-org-kde-breezedark-desktop (<< 4:5.13.0~)
Replaces: plasma-look-and-feel-org-kde-breezedark-desktop (<< 4:5.13.0~)
Description: Default Plasma theme (meta-package).
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes wallpapers, icons, cursors, KWin style and Qt
 widget style for the Plasma 5 desktop.
 .
 This package is part of the KDE base workspace module.

Package: breeze-cursor-theme
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Default Plasma cursor theme.
 This is the default cursor theme for the KDE Plasma 5 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze-dev
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Default Plasma theme (development files).
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes development files.
 .
 This package is part of the KDE base workspace module.

Package: kde-style-breeze
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libbreezecommon5-5 (<< 4:5.14.3-1~)
Replaces: libbreezecommon5-5 (<< 4:5.14.3-1~)
Description: Widget style for Qt and KDE Software
 This is the default widget style for KDE's Plasma desktop.
 .
 This package is part of the Breeze theme module.

Package: kwin-style-breeze
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KWin Breeze Style
 This is the Breeze window manager style for the KDE Plasma 5 desktop.
 .
 This package is part of the Breeze theme module.

## breeze 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze)
-set(PROJECT_VERSION "5.16.5")
+set(PROJECT_VERSION "5.18.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
@@ -28,6 +28,8 @@
   include(KDEInstallDirs)
   include(KDECMakeSettings)
   include(KDECompilerSettings NO_POLICY_SCOPE)
+  include(KDEClangFormat)
+
   include(GtkUpdateIconCache)
 
   option(WITH_DECORATIONS "Build Breeze window decorations for KWin" ON)
@@ -41,7 +43,6 @@
   add_subdirectory(libbreezecommon)
   add_subdirectory(kstyle)
   add_subdirectory(misc)
-  add_subdirectory(qtquickcontrols)
 
   option(WITH_WALLPAPERS "Install Breeze default wallpapers" ON)
   if (WITH_WALLPAPERS)
@@ -69,6 +70,10 @@
                                     INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                                     )
 
+  # add clang-format target for all our real source files
+  file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+  kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
   install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfig.cmake"
                  "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfigVersion.cmake"
           DESTINATION "${CMAKECONFIG_INSTALL_DIR}"

=== misc/kde4breeze/src/CMakeLists.txt ===
# In this CMakeLists.txt we define which files
# are used to compile the application
set(kde4breeze_SRCS
   #application.cpp
   main.cpp
 )

# Set the name of the application
add_executable(kde4breeze ${kde4breeze_SRCS})

# Select which libraries we need to link to
target_link_libraries(kde4breeze Qt5::Widgets KF5::CoreAddons KF5::ConfigCore)

# Tell cmake to install the application binary
install(TARGETS kde4breeze DESTINATION ${LIB_INSTALL_DIR}/kconf_update_bin/)
install(FILES kde4breeze.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR})

# Install the color scheme

=== debian/changelog ===
breeze (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:45:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.66.0~),
-               libkdecorations2-dev (>= 4:5.18.3~),
+               libkdecorations2-dev (>= 4:5.18.4.1~),
                libkf5config-dev (>= 5.66.0~),
                libkf5configwidgets-dev (>= 5.66.0~),
                libkf5coreaddons-dev (>= 5.66.0~),

## breeze 5.18.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

=== kdecoration/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="breeze_kwin_deco")

find_package(KF5 REQUIRED COMPONENTS CoreAddons GuiAddons ConfigWidgets WindowSystem I18n)
find_package(Qt5 CONFIG REQUIRED COMPONENTS DBus)

### XCB
find_package(XCB COMPONENTS XCB)
set_package_properties(XCB PROPERTIES
  DESCRIPTION "X protocol C-language Binding"
  URL "https://xcb.freedesktop.org"
  TYPE OPTIONAL
  PURPOSE "Required to pass style properties to native Windows on X11 Platform"
)

if(UNIX AND NOT APPLE)

  set(BREEZE_HAVE_X11 ${XCB_XCB_FOUND})
  if (XCB_XCB_FOUND)
    find_package(Qt5 REQUIRED CONFIG COMPONENTS X11Extras)
  endif()

else()

  set(BREEZE_HAVE_X11 FALSE)

endif()

################# configuration #################
configure_file(config-breeze.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-breeze.h )

################# includes #################
include_directories(${CMAKE_SOURCE_DIR}/libbreezecommon)
include_directories(${CMAKE_BINARY_DIR}/libbreezecommon)

################# newt target #################
### plugin classes
set(breezedecoration_SRCS
    breezebutton.cpp
    breezedecoration.cpp
    breezeexceptionlist.cpp
    breezesettingsprovider.cpp
    breezesizegrip.cpp)

kconfig_add_kcfg_files(breezedecoration_SRCS breezesettings.kcfgc)

### config classes
### they are kept separately because they might move in a separate library in the future
set(breezedecoration_config_SRCS
    config/breezeconfigwidget.cpp
    config/breezedetectwidget.cpp
    config/breezeexceptiondialog.cpp
    config/breezeexceptionlistwidget.cpp
    config/breezeexceptionmodel.cpp
    config/breezeitemmodel.cpp
)

set(breezedecoration_config_PART_FORMS
   config/ui/breezeconfigurationui.ui
   config/ui/breezedetectwidget.ui
   config/ui/breezeexceptiondialog.ui
   config/ui/breezeexceptionlistwidget.ui
)

ki18n_wrap_ui(breezedecoration_config_PART_FORMS_HEADERS ${breezedecoration_config_PART_FORMS})

### build library
add_library(breezedecoration MODULE
    ${breezedecoration_SRCS}
    ${breezedecoration_config_SRCS}
    ${breezedecoration_config_PART_FORMS_HEADERS})

target_link_libraries(breezedecoration
    PUBLIC
        Qt5::Core
        Qt5::Gui
        Qt5::DBus
    PRIVATE
        breezecommon5
        KDecoration2::KDecoration
        KF5::ConfigCore
        KF5::CoreAddons
        KF5::ConfigWidgets
        KF5::GuiAddons
        KF5::I18n
        KF5::WindowSystem)

if(BREEZE_HAVE_X11)
  target_link_libraries(breezedecoration
    PUBLIC
      Qt5::X11Extras
      XCB::XCB)
endif()


install(TARGETS breezedecoration DESTINATION ${PLUGIN_INSTALL_DIR}/org.kde.kdecoration2)
install(FILES config/breezedecorationconfig.desktop DESTINATION  ${SERVICES_INSTALL_DIR})

=== kstyle/CMakeLists.txt ===
set(BREEZE_USE_KDE4 ${USE_KDE4})
if(BREEZE_USE_KDE4)

  ############ Language and toolchain features
  ############ copied from ECM
  if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel" AND NOT WIN32)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  endif()

endif()

################# Qt/KDE #################
if(BREEZE_USE_KDE4)

  ### XCB
  if(UNIX AND NOT APPLE)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(XCB xcb x11-xcb)
    add_feature_info("x11-xcb" XCB_FOUND "Required to pass style properties to native Windows on X11 Platform")
    set_feature_info("x11-xcb" "Required to pass style properties to native Windows on X11 Platform" "https://xcb.freedesktop.org")
    set(BREEZE_HAVE_X11 ${XCB_FOUND})
  else()
    set(BREEZE_HAVE_X11 FALSE)
  endif()

  set(BREEZE_HAVE_QTQUICK FALSE)
  set(BREEZE_HAVE_KWAYLAND FALSE)

  ### KStyle
  set(BREEZE_HAVE_KSTYLE FALSE)

else()

  find_package(Qt5 REQUIRED CONFIG COMPONENTS Widgets DBus)
  find_package(KF5 REQUIRED COMPONENTS
      I18n
      Config
      GuiAddons
      ConfigWidgets
      WindowSystem)

  find_package(Qt5 COMPONENTS Quick)
  set(BREEZE_HAVE_QTQUICK ${Qt5Quick_FOUND})

  find_package( KF5FrameworkIntegration CONFIG )
  set_package_properties(KF5FrameworkIntegration PROPERTIES
      DESCRIPTION "KF5 Framework Integration"
      URL "https://projects.kde.org/projects/frameworks/frameworkintegration"
      TYPE OPTIONAL
      PURPOSE "Required to use KStyle convenience functionalities in style")

  set(BREEZE_HAVE_KSTYLE ${KF5FrameworkIntegration_FOUND})

  find_package(XCB COMPONENTS XCB)
  set_package_properties(XCB PROPERTIES
      DESCRIPTION "X protocol C-language Binding"
      URL "https://xcb.freedesktop.org"
      TYPE OPTIONAL
      PURPOSE "Required to pass style properties to native Windows on X11 Platform"
  )

  find_package(KF5Wayland CONFIG)
  set(BREEZE_HAVE_KWAYLAND ${KF5Wayland_FOUND})

  if(UNIX AND NOT APPLE)

    set(BREEZE_HAVE_X11 ${XCB_XCB_FOUND})
    if (XCB_XCB_FOUND)
      find_package(Qt5 REQUIRED CONFIG COMPONENTS X11Extras)
    endif()

  else()

    set(BREEZE_HAVE_X11 FALSE)

  endif()


endif()

################# includes #################
include_directories(
  animations
  debug
)

include_directories(${CMAKE_SOURCE_DIR}/libbreezecommon)
include_directories(${CMAKE_BINARY_DIR}/libbreezecommon)

################# configuration #################
configure_file(config-breeze.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-breeze.h )

########### next target ###############
set(breeze_PART_SRCS
    animations/breezeanimation.cpp
    animations/breezeanimations.cpp
    animations/breezeanimationdata.cpp
    animations/breezebaseengine.cpp
    animations/breezebusyindicatordata.cpp
    animations/breezebusyindicatorengine.cpp
    animations/breezedialdata.cpp
    animations/breezedialengine.cpp
    animations/breezeenabledata.cpp
    animations/breezegenericdata.cpp
    animations/breezeheaderviewdata.cpp
    animations/breezeheaderviewengine.cpp
    animations/breezescrollbardata.cpp
    animations/breezescrollbarengine.cpp
    animations/breezespinboxengine.cpp
    animations/breezespinboxdata.cpp
    animations/breezestackedwidgetdata.cpp
    animations/breezestackedwidgetengine.cpp
    animations/breezetabbarengine.cpp
    animations/breezetabbardata.cpp
    animations/breezetoolboxengine.cpp
    animations/breezetransitiondata.cpp
    animations/breezetransitionwidget.cpp
    animations/breezewidgetstateengine.cpp
    animations/breezewidgetstatedata.cpp
    debug/breezewidgetexplorer.cpp
    breezeaddeventfilter.cpp
    breezeframeshadow.cpp
    breezehelper.cpp
    breezemdiwindowshadow.cpp
    breezemnemonics.cpp
    breezepropertynames.cpp
    breezeshadowhelper.cpp
    breezesplitterproxy.cpp
    breezestyle.cpp
    breezestyleplugin.cpp
    breezetileset.cpp
    breezewindowmanager.cpp
)

if(NOT BREEZE_USE_KDE4)
  set(breeze_PART_SRCS
      ${breeze_PART_SRCS}
      breezeblurhelper.cpp
  )
endif()

if(BREEZE_USE_KDE4)

  kde4_add_kcfg_files(breeze_PART_SRCS breezestyleconfigdata.kcfgc)
  kde4_add_plugin(breeze ${breeze_PART_SRCS} kstylekde4compat.cpp)
  target_link_libraries(breeze  ${KDE4_KDEUI_LIBS})
  target_link_libraries(breeze breezecommon4)

  if(BREEZE_HAVE_X11)
    target_link_libraries(breeze ${X11_XCB_LIBRARIES})
    target_link_libraries(breeze ${XCB_LIBRARIES})
  endif()

  install(TARGETS breeze  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/styles/)

else()

  kconfig_add_kcfg_files(breeze_PART_SRCS breezestyleconfigdata.kcfgc)
  add_library(breeze MODULE ${breeze_PART_SRCS})
  target_link_libraries(breeze Qt5::Core Qt5::Gui Qt5::Widgets Qt5::DBus)
  if( BREEZE_HAVE_QTQUICK )
    target_link_libraries(breeze Qt5::Quick)
  endif()
  target_link_libraries(breeze KF5::ConfigCore KF5::ConfigWidgets KF5::GuiAddons KF5::WindowSystem)
  target_link_libraries(breeze breezecommon5)

  if( KF5FrameworkIntegration_FOUND )
  target_link_libraries(breeze KF5::Style)
  endif()

  if (WIN32)
    # As stated in https://docs.microsoft.com/en-us/cpp/c-runtime-library/math-constants M_PI only gets defined
    # when if _USE_MATH_DEFINES is defined
    target_compile_definitions(breeze PRIVATE _USE_MATH_DEFINES _BSD_SOURCE)
  endif()

  if(BREEZE_HAVE_X11)
    target_link_libraries(breeze ${XCB_LIBRARIES})
    target_link_libraries(breeze Qt5::X11Extras)
  endif()

  if(BREEZE_HAVE_KWAYLAND)
    target_link_libraries(breeze KF5::WaylandClient)
  endif()

  install(TARGETS breeze DESTINATION ${QT_PLUGIN_INSTALL_DIR}/styles/)

endif()

########### install files ###############
install(FILES breeze.themerc  DESTINATION  ${DATA_INSTALL_DIR}/kstyle/themes)

########### subdirectories ###############
add_subdirectory(config)

=== libbreezecommon/CMakeLists.txt ===
set(BREEZE_COMMON_USE_KDE4 ${USE_KDE4})

if (BREEZE_COMMON_USE_KDE4)
    ############ Language and toolchain features
    ############ copied from ECM
    if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel" AND NOT WIN32)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    endif ()
endif ()

################# dependencies #################
### Qt/KDE
if (NOT BREEZE_COMMON_USE_KDE4)
    find_package(Qt5 REQUIRED CONFIG COMPONENTS Widgets)
endif ()

################# configuration #################
configure_file(config-breezecommon.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-breezecommon.h )

################# breezestyle target #################
set(breezecommon_LIB_SRCS
    breezeboxshadowrenderer.cpp
)

if (BREEZE_COMMON_USE_KDE4)
    kde4_add_library(breezecommon4 SHARED ${breezecommon_LIB_SRCS})

    generate_export_header(breezecommon4
        BASE_NAME breezecommon
        EXPORT_FILE_NAME breezecommon_export.h)

    target_link_libraries(breezecommon4 ${KDE4_KDEUI_LIBS})

    set_target_properties(breezecommon4 PROPERTIES
        VERSION ${PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR})

    install(TARGETS breezecommon4 ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
else ()
    add_library(breezecommon5 ${breezecommon_LIB_SRCS})

    generate_export_header(breezecommon5
        BASE_NAME breezecommon
        EXPORT_FILE_NAME breezecommon_export.h)

    target_link_libraries(breezecommon5
        PUBLIC
            Qt5::Core
            Qt5::Gui)

    set_target_properties(breezecommon5 PROPERTIES
        VERSION ${PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR})

    install(TARGETS breezecommon5 ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
endif ()

=== kstyle/config/CMakeLists.txt ===
### configuration plugin
add_definitions(-DTRANSLATION_DOMAIN=\"breeze_style_config\")
set(kstyle_breeze_config_PART_SRCS breezestyleconfig.cpp)

if(BREEZE_USE_KDE4)

  kde4_add_kcfg_files(kstyle_breeze_config_PART_SRCS ../breezestyleconfigdata.kcfgc)
  kde4_add_ui_files(kstyle_breeze_config_PART_SRCS ui/breezestyleconfig.ui)
  kde4_add_plugin(kstyle_breeze_config ${kstyle_breeze_config_PART_SRCS})

  target_link_libraries(kstyle_breeze_config ${KDE4_KDEUI_LIBS} )
  install(TARGETS kstyle_breeze_config DESTINATION ${PLUGIN_INSTALL_DIR})

else()

  set(kstyle_breeze_config_PART_SRCS ${kstyle_breeze_config_PART_SRCS} breezestyleconfigmodule.cpp)

  kconfig_add_kcfg_files(kstyle_breeze_config_PART_SRCS ../breezestyleconfigdata.kcfgc)
  set(kstyle_breeze_config_PART_FORMS ui/breezestyleconfig.ui)
  ki18n_wrap_ui(kstyle_breeze_config_PART_FORMS_HEADERS ${kstyle_breeze_config_PART_FORMS})

  add_library(kstyle_breeze_config MODULE
    ${kstyle_breeze_config_PART_SRCS}
    ${kstyle_breeze_config_PART_FORMS_HEADERS}
 )

  target_link_libraries(kstyle_breeze_config Qt5::Core Qt5::Gui Qt5::Widgets Qt5::DBus)
  target_link_libraries(kstyle_breeze_config KF5::ConfigCore KF5::ConfigWidgets KF5::I18n)
  install(TARGETS kstyle_breeze_config DESTINATION ${QT_PLUGIN_INSTALL_DIR})
  install(FILES breezestyleconfig.desktop DESTINATION  ${SERVICES_INSTALL_DIR})

endif()

########### next target ###############
if(NOT BREEZE_USE_KDE4)

  find_package(KF5KCMUtils CONFIG)
  set_package_properties(KF5KCMUtils PROPERTIES
      DESCRIPTION "KF5 KCM utils Framework"
      URL "https://projects.kde.org/projects/frameworks/kcmutils"
      TYPE OPTIONAL
      PURPOSE "Required for breeze-settings5 application to build")

  if( KF5KCMUtils_FOUND )

      set(breeze_settings_SOURCES main.cpp)
      add_executable(breeze-settings5 ${breeze_settings_SOURCES} )
      target_link_libraries(breeze-settings5 Qt5::Core Qt5::Gui Qt5::Widgets )
      target_link_libraries(breeze-settings5 KF5::I18n KF5::KCMUtils)

      install(TARGETS breeze-settings5 ${INSTALL_TARGETS_DEFAULT_ARGS})

      # icon
      ecm_install_icons(ICONS sc-apps-breeze-settings.svgz
        DESTINATION ${ICON_INSTALL_DIR}
        THEME hicolor )
    endif()
endif()

=== misc/kde4breeze/CMakeLists.txt ===
find_package(ECM 0.0.13 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

find_package(Qt5 REQUIRED COMPONENTS Widgets)
find_package(KF5 REQUIRED COMPONENTS CoreAddons Config)

include(ECMPackageConfigHelpers)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)


add_subdirectory( src )

=== misc/qtcurvepreset/CMakeLists.txt ===

INSTALL(FILES Breeze.qtcurve DESTINATION ${DATA_INSTALL_DIR}/QtCurve/)

=== debian/changelog ===
breeze (4:5.18.8-0ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Jun 2024 11:04:31 -0400

breeze (4:5.18.8-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.8) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:39:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: breeze
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_install:
	# This is required to make sure Plasma does not
	# fall back to a cursor theme from the 90's
	CURDIR=$(CURDIR) $(CURDIR)/debian/wrapperthemes.sh breeze_cursors \
	                                                   Breeze_Snow
	dh_install

## breeze 5.19.5

=== debian/changelog ===
breeze (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:52:28 +0100

breeze (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:40:42 +0100

breeze (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:57:00 +0100

breeze (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:44:15 +0100

breeze (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:37:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: breeze
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               libkdecorations2-dev (>= 4:5.18.4.1~),
-               libkf5config-dev (>= 5.66.0~),
-               libkf5configwidgets-dev (>= 5.66.0~),
-               libkf5coreaddons-dev (>= 5.66.0~),
-               libkf5guiaddons-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5package-dev (>= 5.66.0~),
-               libkf5style-dev (>= 5.66.0~),
-               libkf5wayland-dev (>= 4:5.66.0~),
-               libkf5windowsystem-dev (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               libkdecorations2-dev (>= 4:5.19.5~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5configwidgets-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5guiaddons-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5package-dev (>= 5.70.0~),
+               libkf5style-dev (>= 5.70.0~),
+               libkf5wayland-dev (>= 4:5.70.0~),
+               libkf5windowsystem-dev (>= 5.70.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                pkg-config,
